# Changelog
======
1.2.10
======
- NEW:	Sync prodcut variation data
		As variations are NOT connected using the flag dropdown we use SKU as fallback
- NEW:	FAQ how to Create a WP Multisite
		https://www.welaunch.io/en/knowledge-base/faq/create-wordpress-multisite-network/?
- NEW:	Country Selector SKU Product fallback
		https://imgur.com/a/n2ZX6J8
- NEW:	Added pseudo element on country selector dropdown for better usability
- NEW:	Set custom preserved HTML keys for machine translation data
- NEW:	Disable wpautop 
- NEW:	Added PL & CZ translations (DeepL)
- NEW:	Added option to only sync specific posts
		https://imgur.com/a/thEoamV
- NEW:	Added Support for Plugin Filter Everything Pro
		https://www.welaunch.io/en/knowledge-base/faq/multilingual-multisite-filter-everything-pro-support/
- FIX:	Disabled media syncing on wp all imports
- FIX:	Modified the error message on first installation
- FIX:	Fatal error when copy elementor data


======
1.2.9
======
- NEW:	Added file_get_contents error message when using microsoft translation server
- FIX:	Posts created on sync when disabled
- FIX:	Fatal error when copy
- FIX:	Cache not regenerated
- FIX:	wpmu_new_blog is deprecated
- FIX:	Removed media delete (caused issues when a blog was deleted)
- FIX:	Removed BR Tags from machine translation
- FIX:	Post & Terms transient issue when same ID
- FIX:	Flag not showing for CPT
- FIX:	Performance increase
- FIX:	Do not delete media on blog copy

======
1.2.8
======
- NEW:	Added Machine Translation support for Gutenberg
- NEW:	Had to add an option for Machien divi support
		this needs to be DISABLED when using Gutenberg (disabled by default)
- NEW:	Elementor copy pages with indepth data support
- NEW:	Option to disable the items connected in the overview
- FIX:	HTML Comments were removed from auto translation
- FIX;	figure & figcaption elements were removed from machine translation
- FIX:	Sync performance
- FIX:	blockquote, em & cite HTML tags removed
- FIX:	Show duplicate edit / new icons in posts overview
- FIX:	Copy elementor pages caused issue with no filtering tags
		remove_all_filters("content_save_pre");

======
1.2.7
======
- NEW:	Sync post / product images
		https://imgur.com/a/pCDR60Y
- NEW:	Removed extrem IP Lookup service using get.geojs.io now (free)
		API key is no longer needed
- NEW:	Flags show in custom post types overview page
- NEW:	Added support for filter everything pro widget (using default replace URL)
- NEW:	Added support for ACF Repeater Fields
- NEW:	Added segmentation support for _elementor_data key
- FIX:	Machine translation custom fields work with arrays now
- FIX:	Varchar for "type" increased to 50
- FIX:	Country names not translated in Dropdown of local language


======
1.2.6
======
- FIX:	BR tags removed on auto translate
- FIX:	Connected Terms not working

======
1.2.5
======
- NEW:	Option to remove a connected post / term
		search for "none" in connected posts select field
- FIX:	Link appeared in top bar

======
1.2.4
======
- NEW:	Post copier will now also copy images inside post_content,
		that have only IDs.
		Example: gallery ids="123,456" will copy images with ID 123 & 456
		and replace the Ids in the copied post
		https://imgur.com/a/IgLhFPv
- NEW:	Support for our helpdesk plugin
- FIX:	Improved the performance dramatically (reduced nearly 200 SQL queries)
- FIX:	get_base_for_taxonomy works now also for custom post types

======
1.2.3
======
- NEW:	Create Multilingual Shortlink Redirects
		https://imgur.com/a/6o60SFp
- FIX:	Connected posts will show ALL posts now in backend
- FIX:	Current post / term ID will not show in connected posts
- FIX:	Machine translation added option for arrays
- FIX:	added a flush rewrite rules function after term sync

======
1.2.2
======
- NEW:	Easily switch to admin translated pages using the new 
		Admin Country Selector
		https://imgur.com/a/ELJ8ffp
- NEW:	Machine Translation Debug mode 
- FIX:	Performance increase (only using one get_admin_url query)

======
1.2.1
======
- NEW:	Huge performance increase in single post edit in backend
		due to using AJAX queries now
		https://imgur.com/a/Q2eVcQ6
- NEW:	Bot detection to not redirect them
- FIX:	Added better DIVI support for machine translations
- FIX:	Meta keys not translated by machine translation
- FIX:	Machine translation issue with tables & span HTML tags

======
1.2.0
======
- NEW:	DeepL Free Support
		https://imgur.com/a/TPxjSEV
		See: https://www.deepl.com/pro#developer
- NEW:	PHP 8.0 Support
- FIX:	Upgraded all vendor extensions

======
1.1.22
======
- FIX:	Auto translate removed H Tags
- FIX:	Issue with litespeed server

======
1.1.21
======
- NEW:	Added Translation files for
		Italian, German, French, Spanish, Dutch
- FIX: 	Product meta & data sync now support WC lookup table chaching

======
1.1.20
======
- FIX:	Post im export disabled by default now
- FIX:	IP redirection issue

======
1.1.19
======
- NEW:	Automatic IP redirection
		https://imgur.com/a/PAXOhmu
		FAQ: https://www.welaunch.io/en/knowledge-base/faq/how-does-the-wp-multisite-language-redirect-work/
- NEW:	Set a custom country selector blog name & flag image URL
		https://imgur.com/a/uN2na9T
- FIX:	Redirect uses 302 now for best practices
		
======
1.1.18
======
- FIX:	Too many redirects for excluding sites

======
1.1.17
======
- NEW:	In Backend the excluded sites will still show
- NEW:	Moved CSS into footer
- NEW:	HTML lang attribute now uses alternate tag set
- FIX:	Default lang not available in machine translation
- FIX:	Flag icons loaded locally now
- FIX: 	Strong & B Tags broke translation

======
1.1.16
======
- FIX:	Auto redirect not working from master site when excluded
- FIX:	Fallback URL not working

======
1.1.15
======
- FIX:	Country + Languages not translateable
- FIX:	Excludede sites do not execute JS & CSS anymore
- FIX:	Updated POT & PO Files

======
1.1.14
======
- NEW:	Improved DeepL Machien translation
- NEW:	Added a Filter for custom taxonomy bases
		An example can be found here: https://www.welaunch.io/en/knowledge-base/faq/custom-taxonomy-translation-base-url-filter/
- FIX:	Removed wp_die exceptions so that machine translation still continues even on errors
- FIX:	Translator enable option stil showed meta boxes in backend
- FIX:	Country selector not visible on smaller screens
- FIX:	Terms machine translation not working properly

======
1.1.13
======
- FIX:	Product attribute syncing issues
- FIX:	Fallback URL missed a slash
- FIX:	PHP notices
- INFO:	When you meta sync product prices, make sure you sync _regular_price,_sale_price,_price


======
1.1.12
======
- FIX:	Moved updater into weLaunch framework

======
1.1.11
======
- NEW:	Dropped Redux Framework support and added our own framework 
		Read more here: https://www.welaunch.io/en/2021/01/switching-from-redux-to-our-own-framework
		This ensure auto updates & removes all gutenberg stuff
		You can delete Redux (if not used somewhere else) afterwards
		https://www.welaunch.io/updates/welaunch-framework.zip
		https://imgur.com/a/BIBz6kz
- FIX:	PHP Notices

======
1.1.10
======
- FIX:	Having only one translated site caused auto redirection not working

======
1.1.9
======
- FIX:	Lang & Country Options in wp-admin > general are now prefixed
		!!! IMPORTANT !!! You need to update the options for each site again !!!
- FIX:	Endpoint issue with product links

======
1.1.8
======
- NEW:	Add multiple menus to country selector
		https://imgur.com/a/6YNEsIN
- FIX:	Mobile country selector dropdown CSS
- FIX:	Redirect check if only 1 blog exists

======
1.1.7
======
- NEW:	Machine Translate comments
		https://imgur.com/a/Wk9DiiL
- FIX:	Added redirect checks
- FIX:	Sync function returned to wrong data and redirected wrong

======
1.1.6
======
- FIX:	Product category base URL echo
- FIX:	Wrong product URL base

======
1.1.5
======
- FIX:	Select2 container full width
- FIX:	Molly payment issue
- FIX:	Rolled back to guzzle version 6.0 (PHP5 Support)

======
1.1.4
======
- FIX:	DeepL PHP error

======
1.1.3
======
- FIX:	Updated all vendor libraries to latest version
- FIX:	Mollie Payment issue (Guzzle library)
- FIX:	Default categories still set

======
1.1.2
======
- FIX:	Meta data not syncing / updated

======
1.1.1
======
- NEW:	Generate WC lookup tables after product copy
- FIX:	Removed Google Free Translate from Settings
- FIX:	After copy redirect default set to false

======
1.1.0
======
- NEW:	Default terms no longer gets synced (e.g. uncategorized)
- NEW:	Sync terms removes existing ones
- NEW:	Sync terms now also work for WooCommerce attributes
- NEW:	WooCommerce Attributes will be copied including terms (slug should be the same)
- NEW:	WooCommerce Variations will be created when copied
- NEW:	Post children will get copied
- NEW:	Post copier now also copies custom taxonomies 
- NEW:	Post copier registers non existing taxonomies
- NEW:	Backend adjustments (post_data keys now select field) PLEASE CHECK YOUR SETTINGS
- FIX:	PHP notices

======
1.0.17
======
- NEW:	Posts translation overview tables
- NEW:	Init translation tables
		Clicking the button below will initially fill the translation tables. Click this when you installed our plugin in an existing WordPress Multisite.
		https://imgur.com/a/GgninNk
- FIX:	Issue with term attributes not saved correctly
- FIX:	Prevent type from beeing deleted when post updated (preparation over overview table)

======
1.0.16
======
- NEW:	Dropped redux sites_select function
- FIX:	removed google translate free (Google no longer offers this)
- FIX:	Updated composer files

======
1.0.15
======
- FIX:	Create / Edit icons not visible in post / pages overview
- FIX:	Font awesome icons changed
- FIX:	Additional select2 issues

======
1.0.14
======
- FIX:	Font awesome admin updated
- FIX:	Select2 only executed on single posts in backend

======
1.0.13
======
- NEW:	Machine translation issues fixed
- NEW:	Sync all data default value set to true
- FIX:	Changed machine translation class loading priority to support custom post types
- FIX:	PHP notices
- FIX:	Return if menu position not specified (otherwise it got added to all items)
- FIX:	Country selector options more understandable

======
1.0.12
======
- NEW:	Sync create will now also create meta data 
		-> Create a product in one site, it will be created with all meta data in all enabled subsites
- NEW:	Term sync including creation + parent term creation & assignments (UNIQUE)
- NEW:	Copy posts will create parent terms
- NEW:	Improved Sync admin panel
- NEW:	Post copier issues
- NEW:	Added shortcode label parameter for machine translation
- FIX:	Machine translation now removes all non utf8 chars
- FIX:	Google Translate malformed JSON

======
1.0.11
======
- NEW:	Increased max flags to 14 and show on terms also
- NEW:	Image copier using file name now
- NEW:	Select2 field for post / page selection
- FIX:	Linked posts show draft, trash etc.
- FIX:	Deleting a site now also deleted the UNIQUE INDEX from table (avoid 64 max index)

======
1.0.10
======
- NEW:	Limited the view of flags in post overviews to 10
- FIX:	Show flags / linked posts on excluded sites

======
1.0.9
======
- NEW:	Machine Translation Data Segmentation
		-> Support for HTML inside HTML tags e.g. links, bold, strong texts
		-> Support for shortcodes variables "text", "heading" and "tooltip"
- FIX:	Cleaned / shortend the languages
- FIX:	Country selector dropdown not working on some themes

======
1.0.8
======
- FIX:	Options panel broken

======
1.0.7
======
- NEW:	Theme mods now also supported
- NEW:	Switched wp_set_post_terms to wp_set_object_terms for custom post type taxonomy support
- NEW:	Added info window in general settings to show where to find site settings
- NEW:	Moved default source language to machine translation settings
- NEW:	Added examples in general settings for alternate & local settings
- FIX:	Override blog settings not working
- FIX:	Added is_wp_error check for image upload

======
1.0.6
======
- NEW:	Image debug in advanced settings. Enable this when product images do not get copied over
- NEW:	When copying posts and terms do not exists they will be created an linked automatically
- NEW:	It is now possible to copy the MAIN blog (id 1)

======
1.0.5
======
- NEW:	Remove white spaces from API keys to avoid errors
- FIX:	Categories for blog id 1 not translated correctly
- FIX:	Switched table creation to utf8_general_ci to support older databases
- FIX:	PHP Notice

======
1.0.4
======
- FIX:	Machine Translation Gutenberg support (changed button with a checkbox)
- FIX:	Shop page URL not connected correctly
- FIX:	php notice check variable

======
1.0.3
======
- FIX:	Copy blog / site performance
- FIX:	Copy site not matched post / term translations
- FIX:	Machine translation enabled

======
1.0.2
======
- NEW:	User Sync, Create / Delete Posts on Sync, Images gets copied
		Settings: https://imgur.com/a/l1DQE5H
- NEW:	User Sync (new registered users can be added to all blogs)
- NEW:	Delete or Trash connected posts on Sync
- NEW:	Sync all post Data / All post Meta fields instead of defining each separately
- NEW:	Copy posts also now copies the feature image + product gallery images
- FIX:	Redirect to default site also for backend
- FIX:	Sorting no longer possible in backend
- FIX:	Error message when terms edited and enter pressed

======
1.0.1
======
- NEW:	Auto redirection to best language
- NEW:	Copy complete blog functionality
- FIX:	Source blog not available
- FIX:	Posts not showing in dropdown

======
1.0.0
======
- Inital release


Todo
- sync child posts (product variations)
- sync woo orders? not possible (dup IDs)
- sync terms same as done for posts incl. term image